Package org.spongepowered.asm.service

## Interface IMixinServiceBootstrap

    public interface IMixinServiceBootstrap

Bootstrap interface for Mixin services. Because of the nature of service environments, it may be necessary to provide bootstrap logic to prepare the classloader environment before the services themselves are enumerated.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bootstrap()` Run bootstrap-time preparation for the underlying service
`java.lang.String` `getName()` Get the friendly name for the underlying service
`java.lang.String` `getServiceClassName()` Get the fully qualified class name of the underlying service

### Method Detail

#### getName

    java.lang.String getName()

Get the friendly name for the underlying service

#### getServiceClassName

    java.lang.String getServiceClassName()

Get the fully qualified class name of the underlying service

#### bootstrap

    void bootstrap()

Run bootstrap-time preparation for the underlying service